Bug 105837 - Wrong quotation marks for [*-CH] Swiss languages
Summary: Wrong quotation marks for [*-CH] Swiss languages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-07 16:40 UTC by Johannes Kingma
Modified: 2018-04-04 16:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Kingma 2017-02-07 16:40:02 UTC
Impress changes typed, straight, quotation marks in "rounded" quotation marks.

For German swiss settings these quotation marks appear as „ and “. This is incorrect. The correct quotation marks in Switzlerland are « and »
Comment 1 Xisco Faulí 2017-02-07 16:46:21 UTC Comment hidden (obsolete)
Comment 2 V Stuart Foote 2017-02-07 17:16:50 UTC
The setting should follow the Local (picked up from OS) or as set on Tools -> Options -> Language Settings -> Languages

And, value may be overridden from the Tools -> AutoCorrect Options: Localized Options tab in the Double Quotes "Start quote" and "End quote" widgets.

If defaults are not following local, that is an issue and please elaborate on your settings. Otherwise this is as expected and NAB.
Comment 3 Johannes Kingma 2017-02-08 10:56:53 UTC
It is the latest version available in Manjaro (Arch).
Comment 4 Johannes Kingma 2017-02-08 11:11:51 UTC
(In reply to V Stuart Foote from comment #2)
> The setting should follow the Local (picked up from OS) or as set on Tools
> -> Options -> Language Settings -> Languages
> 
> And, value may be overridden from the Tools -> AutoCorrect Options:
> Localized Options tab in the Double Quotes "Start quote" and "End quote"
> widgets.
> 
> If defaults are not following local, that is an issue and please elaborate
> on your settings. Otherwise this is as expected and NAB.

The Problem with this is, that typographical quotes are language dependent. German the two will be reversed or low and high, the USoA and UK use different quotes, The French the Dutch. 

This is a nice overview: https://en.wikipedia.org/wiki/Quotation_mark#Specific_language_features
Comment 5 V Stuart Foote 2017-02-08 15:34:05 UTC
(In reply to Johannes Kingma from comment #4)
> The Problem with this is, that typographical quotes are language dependent.
> German the two will be reversed or low and high, the USoA and UK use
> different quotes, The French the Dutch. 
> 

Yes, and the UI provides for that based on language and locale (following RFC 5646). And gives the ability to assign the language locale at the paragraph level. 

Testing and reviewing source, I do see that our default quotation for de-DE is the same for de-CH as reported. So confrimed and NEW

But as noted, you can change default start/end single and double quote glyph used for each language locale. 

Looks like we should probably scrub the XML configuration files in i18npool/source/localedata/data for quotation handling.

@Sophie, Eike -- should we consider the Style guide of the Wikipedia article as normative in any sense and implement the primary "Standard" entry listed there as annotated for our QuotationStart/End and DoubleQuotationStart/End entries in the i18npool XML?

=-ref-=
https://en.wikipedia.org/wiki/Quotation_mark

http://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/

=-test environment-=
Windows 10 Pro 64-bit en-US
Version: 5.4.0.0.alpha0+
Build ID: 83e059af2203ec0cd15dea08cfa538555ba14bd7
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-02-06_23:29:13
Locale: en-US (en_US); Calc: CL
Comment 6 Johannes Kingma 2017-02-08 15:42:12 UTC
Indeed, quotation is different for de-CH as de-DE. 

I did a bit research to find an independent source compiling all locale dependent quotation but the Wikipedia author's did quit a good job and haven found a good "official" source.
Comment 7 sophie 2017-02-08 16:36:49 UTC
(In reply to V Stuart Foote from comment #5)

> 
> @Sophie, Eike -- should we consider the Style guide of the Wikipedia article
> as normative in any sense and implement the primary "Standard" entry listed
> there as annotated for our QuotationStart/End and DoubleQuotationStart/End
> entries in the i18npool XML?
> 
I'd let Eike decide here, but at least it seems well documented on Wikipedia. Sophie
Comment 8 QA Administrators 2018-02-09 03:33:14 UTC Comment hidden (obsolete)
Comment 9 Eike Rathke 2018-02-09 11:28:26 UTC
This went under my radar.

I didn't find a normative resource for this. Also the CLDR doesn't distinguish between de and de-CH for quotationStart/quotationEnd. If Wikipedia agrees I don't see a compelling reason to not change the characters.

The original bug submitter may want to claim the case in the Unicode CLDR and file a change request, so other software using the CLDR information will get this right as well. See http://cldr.unicode.org/index/bug-reports
Comment 10 Commit Notification 2018-02-09 11:45:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ebb38dd36022d5d61bfb9fc3edfbf460153e1ff

Resolves: tdf#105837 use angle quotation marks (Guillemets) for [de-CH]

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2018-02-09 11:48:16 UTC
Pending review https://gerrit.libreoffice.org/49489 for 6-0
Comment 13 Eike Rathke 2018-02-09 12:52:29 UTC
Fixed with http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b938c558d004537cf73ca4319019ff64f052270 (wrong bug number in commit summary so it wasn't added as notification here).
Comment 14 Commit Notification 2018-02-09 14:14:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03d6a29d34e1c4e72ffa49ec3259eaf4059d9c60&h=libreoffice-6-0

Resolves: tdf#105837 use angle quotation marks (Guillemets) for [*-CH]

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.